/* Elwro 800 Junior emulator
 * Copyright (C) 2006 Krzysztof Komarnicki
 * Email: krzkomar@wp.pl
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __e800j_prom_h__
#define __e800j_prom_h__

/* 512 bajtw pamieci PROM 'IO' KR556RT5 */
#define PROM_IO {0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfb,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xbf,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xef,0xef,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfb,0xfb,0xfb,0xfb,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xf7,\
		0xff,0xdf,0xff,0xff,0xff,0xff,0xff,0xfd,0xff,0xff,0xff,0xfe,0xff,0xff,0xfe,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfb,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfe,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xef,0xef,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfb,0xfb,0xfb,0xfb,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf7,0xf7,\
		0xff,0xdf,0xff,0xff,0xff,0xff,0xff,0xfd,0xff,0xff,0xff,0xfe,0xff,0xff,0xfe,0xff};

/* 512 bajtw pamieci PROM 'MEM' KR556RT5 */
#define PROM_MEM { 0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf3,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xef,0xef,0xef,0xef,0xef,0xef,0xef,0xef,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf3,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf3,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xef,0xef,0xef,0xef,0xef,0xef,0xef,0xef,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf3,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xfe,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf3,0xf7,\
		0xef,0xef,0xef,0xef,0xef,0xef,0xef,0xef,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf3,0xf7,\
		0xd7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf3,0xf7,\
		0xef,0xef,0xef,0xef,0xef,0xef,0xef,0xef,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf7,0xf3,0xf7};

/* 2048 bajtw pamieci EPROM 'TV' 2716 */
#define EPROM_TV {0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,0xfd,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xff,0xff,0xff,0xff,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xd0,0xd0,0xd0,0xd0,0xf0,0xf0,0xd0,0xd0,0xd0,0xd0,0xd0,0xd0,0xd0,0xd0,0xd0,0xd0,\
		0xd0,0xd0,0xf0,0xf0,0xc0,0xd0,0xd0,0xd0,0xd0,0xd0,0xd0,0xd2,0xf2,0xf2,0xff,0xff,\
		0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,\
		0xf1,0xf1,0xf1,0xf1,0xe1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf3,0xf3,0xf3,0xf3,0xf3,\
		0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,\
		0xf1,0xf1,0xf1,0xf1,0xe1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf3,0xf3,0xf3,0xf3,0xf3,\
		0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,\
		0xf1,0xf1,0xf1,0xf1,0xe1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf3,0xf3,0xf3,0xf3,0xf3,\
		0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,\
		0xf1,0xf1,0xf1,0xf1,0xe1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf3,0xf3,0xf3,0xf3,0xf3,\
		0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,\
		0xf1,0xf1,0xf1,0xf1,0xe1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf1,0xf3,0xf3,0xf3,0xf3,0xf3,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,0xf5,\
		0xf5,0xf5,0xf5,0xf1,0xe1,0xf1,0xf1,0xf1,0xf5,0xf5,0xf5,0xf7,0xf7,0xf7,0xf7,0xf7,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,\
		0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff};

#endif
