/* Elwro 800 Junior emulator
 * Copyright (C) 2006 Krzysztof Komarnicki
 * Email: krzkomar@wp.pl
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __e800j_scrn_h__
#define __e800j_scrn_h__

#include "z80.h"

/* tablica wylicza na podstawie adresu warto y piksela */
#define ZX_SCR_MAP {0x00,0x08,0x10,0x18,0x20,0x28,0x30,0x38,0x01,0x09,0x11,0x19,0x21,0x29,0x31,0x39,\
		    0x02,0x0a,0x12,0x1a,0x22,0x2a,0x32,0x3a,0x03,0x0b,0x13,0x1b,0x23,0x2b,0x33,0x3b,\
		    0x04,0x0c,0x14,0x1c,0x24,0x2c,0x34,0x3c,0x05,0x0d,0x15,0x1d,0x25,0x2d,0x35,0x3d,\
		    0x06,0x0e,0x16,0x1e,0x26,0x2e,0x36,0x3e,0x07,0x0f,0x17,0x1f,0x27,0x2f,0x37,0x3f,\
		    0x40,0x48,0x50,0x58,0x60,0x68,0x70,0x78,0x41,0x49,0x51,0x59,0x61,0x69,0x71,0x79,\
		    0x42,0x4a,0x52,0x5a,0x62,0x6a,0x72,0x7a,0x43,0x4b,0x53,0x5b,0x63,0x6b,0x73,0x7b,\
		    0x44,0x4c,0x54,0x5c,0x64,0x6c,0x74,0x7c,0x45,0x4d,0x55,0x5d,0x65,0x6d,0x75,0x7d,\
		    0x46,0x4e,0x56,0x5e,0x66,0x6e,0x76,0x7e,0x47,0x4f,0x57,0x5f,0x67,0x6f,0x77,0x7f,\
		    0x80,0x88,0x90,0x98,0xa0,0xa8,0xb0,0xb8,0x81,0x89,0x91,0x99,0xa1,0xa9,0xb1,0xb9,\
		    0x82,0x8a,0x92,0x9a,0xa2,0xaa,0xb2,0xba,0x83,0x8b,0x93,0x9b,0xa3,0xab,0xb3,0xbb,\
		    0x84,0x8c,0x94,0x9c,0xa4,0xac,0xb4,0xbc,0x85,0x8d,0x95,0x9d,0xa5,0xad,0xb5,0xbd,\
		    0x86,0x8e,0x96,0x9e,0xa6,0xae,0xb6,0xbe,0x87,0x8f,0x97,0x9f,0xa7,0xaf,0xb7,0xbf}


extern int blink_attr(Z80 *z);
extern void scr_rfsh(Z80 *z);

#endif
